Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## avrora.sim.radio
Class CC1000Radio.RadioRegister

    java.lang.Object
      avrora.sim.State.RWIOReg
          avrora.sim.radio.CC1000Radio.RadioRegister

All Implemented Interfaces:
  State.IOReg

Direct Known Subclasses:
  CC1000Radio.CALRegister, CC1000Radio.CurrentRegister, CC1000Radio.DummyRegister, CC1000Radio.FrequencyRegister.FrequencySubRegister, CC1000Radio.FrequencySeparationRegister.SubRegister, CC1000Radio.FrontEndRegister, CC1000Radio.FSCTRLRegister, CC1000Radio.LockRegister, CC1000Radio.MainRegister, CC1000Radio.MatchRegister, CC1000Radio.Modem0Register, CC1000Radio.Modem1Register, CC1000Radio.Modem2Register, CC1000Radio.PA_POWRegister, CC1000Radio.PLLRegister, CC1000Radio.PrescalerRegister

Enclosing class:
  CC1000Radio

protected abstract class CC1000Radio.RadioRegister
extends State.RWIOReg

The `RadioRegister` is an abstract register grouping together registers on the CC1000 radio.

Field Summary
`protected byte` | `def`
`protected java.lang.String` | `id`

Fields inherited from class avrora.sim.State.RWIOReg
`value`

Method Summary
`protected abstract void` | `decode(byte val)`
`protected void` | `printStatus()`
`protected void` | `reset()`
`void` | `write(byte val)` The `write()` method writes an 8-bit value to the IO register as a byte.
`void` | `writeBit(int bit, boolean val)` The `writeBit()` method writes a single bit value into the IO register at the specified bit offset.

Methods inherited from class avrora.sim.State.RWIOReg
`read, readBit`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### id

    protected final java.lang.String id

### def

    protected final byte def

Method Detail

### write

    public void write(byte val)

  Description copied from class: `State.RWIOReg`
  The `write()` method writes an 8-bit value to the IO register as a byte. For simple `RWIOReg` instances, this simply writes the internally stored value.

  Specified by:
    `write` in interface `State.IOReg`
  Overrides:
    `write` in class `State.RWIOReg`
  Parameters:
    `val` - the value to write

### writeBit

    public void writeBit(int bit,
                         boolean val)

  Description copied from interface: `State.IOReg`
  The `writeBit()` method writes a single bit value into the IO register at the specified bit offset.

  Specified by:
    `writeBit` in interface `State.IOReg`
  Overrides:
    `writeBit` in class `State.RWIOReg`

### decode

    protected abstract void decode(byte val)

### printStatus

    protected void printStatus()

### reset

    protected void reset()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD